# Copyright (c) 2003 The SCO Group, Inc.. All Rights Reserved.  
#                                                                       
#        THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF                 
#                  	THE SCO GROUP, INC.                          
#                                                                       
#   The copyright notice above does not evidence any actual or intended 
#   publication of such source code.                                    


#####################
#
# see the README.ou file for description of why and how this file is organized
#
#####################

include $(CMDRULES)

# the directory with the original BIND sources
BASEDIR=imported
OWN=bin
GRP=bin
BINMODE=0555

# the install directory
INSDIR = ${USRSBIN}

# Historically we install only a subset of files since the docs
# are handled completely separately. It's much more convenient to keep
# the list of this subset in one place (here) rather than spread among
# tens of makefiles in subdirectories.
# NOTE : 'install' must be the first target in this file for it to be 
# the default target for 'make -f ntp-4.1.1.mk' done in :mkopensrc

install: all
	(cd $(BASEDIR)/ntpd/ && rm -f in.xntpd; ln ntpd in.xntpd)
	$(INS) $(BINMODE) $(OWN) $(GRP) $(INSDIR)/in.xntpd $(BASEDIR)/ntpd/in.xntpd
	$(INS) $(BINMODE) $(OWN) $(GRP) $(INSDIR)/ntpdate $(BASEDIR)/ntpdate/ntpdate
	(cd $(BASEDIR)/ntpdc/ && rm -f xntpdc; ln ntpdc xntpdc)
	$(INS) $(BINMODE) $(OWN) $(GRP) $(INSDIR)/xntpdc $(BASEDIR)/ntpdc/xntpdc
	$(INS) $(BINMODE) $(OWN) $(GRP) $(INSDIR)/ntpq $(BASEDIR)/ntpq/ntpq
	$(INS) $(BINMODE) $(OWN) $(GRP) $(INSDIR)/ntptrace $(BASEDIR)/ntptrace/ntptrace
	$(INS) $(BINMODE) $(OWN) $(GRP) $(INSDIR)/ntptimeset $(BASEDIR)/ntpdate/ntptimeset
	$(INS) $(BINMODE) $(OWN) $(GRP) $(INSDIR)/tickadj $(BASEDIR)/util/tickadj
	$(INS) $(BINMODE) $(OWN) $(GRP) $(INSDIR)/ntp-genkeys $(BASEDIR)/util/ntp-genkeys

all: patchit reconfigure
	cd $(BASEDIR) && $(MAKE) all 2>/dev/null

patchit:
	/bin/patch -c -p0 -i ./local/ntp-4.1.1-unixware.patch

# ./configure has to be called before the start of each new build,
# the reason is that when it creates the makefiles, it hardcodes
# the top source directory into them. So if the tree is later
# symlinked and rebuilt, this top source directory value needs
# to be changed. Of course ./configure could be changed to not
# hardcode it but I strongly prefer to keep the imported sources
# as pristine as possible to keep the importing of the newer
# versions as easy as possible.  - hmohanan 10/31/03 

reconfigure: 
	cd $(BASEDIR) && { \
		rm -f config.cache config.h config.log config.status TAGS; \
		sh -c "CC='$(CC)'; export CC; \
			CFLAGS='$(CFLAGS)'; export CFLAGS; \
			sh ./configure --with-crypto=autokey --with-openssl-libdir='$(ROOT)'/'$(MACH)'/usr/lib/ --with-openssl-incdir='$(ROOT)'/'$(MACH)'/usr/include/openssl/"; \
	}

# clobber does a distclean of NTP sources
clobber:
	cd $(BASEDIR) && if [ -f Makefile ]; then $(MAKE) distclean; fi

clean:
	cd $(BASEDIR) && if [ -f Makefile ]; then $(MAKE) clean; fi
